# Copyright 2012-2013 Mehmet Giritli
# Distributed under the terms of the GNU General Public License v2

EAPI="4"

inherit gnome2-utils

DESCRIPTION="A simple extension for displaying weather informations from several cities in GNOME Shell"

HOMEPAGE="http://github.com/Neroth/gnome-shell-extension-weather"

LICENSE="GPL-2"
SLOT="0"
IUSE=""
KEYWORDS="~amd64 ~x86"

EXTENSIONS="/usr/share/gnome-shell/extensions"
SCHEMAS="/usr/share/glib-2.0/schemas"
DESKTOPS="/usr/share/applications"
MY_DIR="${WORKDIR}/${PF}"

COMMON_DEPEND="
        >=dev-libs/glib-2.26
        >=gnome-base/gnome-desktop-3:3"
RDEPEND="${COMMON_DEPEND}
        gnome-base/gnome-desktop:3[introspection]
        media-libs/clutter:1.0[introspection]
        net-libs/telepathy-glib[introspection]
        x11-libs/gtk+:3[introspection]
        x11-libs/pango[introspection]"
DEPEND="${COMMON_DEPEND}
        sys-devel/gettext
	dev-libs/seed
        >=dev-util/pkgconfig-0.22
        >=dev-util/intltool-0.26
        gnome-base/gnome-common"


src_unpack()	{
	mkdir ${MY_DIR}
}

src_prepare() {

		git clone https://github.com/Neroth/gnome-shell-extension-weather
}

src_compile()   {

	cd ${MY_DIR}/gnome-shell-extension-weather
	./autogen.sh --prefix=/usr
        emake || die
}

src_install() {
	cd ${MY_DIR}/gnome-shell-extension-weather
	emake DESTDIR="${D}" install || die
}

pkg_preinst() {
        gnome2_schemas_savelist
}

pkg_postinst() {
        gnome2_schemas_update
}

pkg_postrm() {
        gnome2_schemas_update --uninstall
}
